# MDrawGlyph Struct Reference
[Drawing]

Type of information about a glyph metric and font. More...

## Data Fields

int | glyph_code
int | x_advance
int | y_advance
int | x_off
int | y_off
int | lbearing
int | rbearing
int | ascent
int | descent
MFont * | font
MSymbol | font_type
void * | fontp
int | from
int | to

## Detailed Description

Type of information about a glyph metric and font.

The type MDrawGlyph is the structure that contains information about a glyph metric and font. It is used by the function mdraw_glyph_list().

## Field Documentation

int MDrawGlyph::from

Character range corresponding to the glyph.

int MDrawGlyph::to

int MDrawGlyph::glyph_code

Font glyph code of the glyph.

int MDrawGlyph::x_advance

Logical width of the glyph. Nominal distance to the next glyph.

int MDrawGlyph::y_advance

Logical height of the glyph. Nominal distance to the next glyph.

int MDrawGlyph::x_off

X offset relative to the glyph position.

int MDrawGlyph::y_off

Y offset relative to the glyph position.

int MDrawGlyph::lbearing

Metric of the glyph (left-bearing).

int MDrawGlyph::rbearing

Metric of the glyph (right-bearing).

int MDrawGlyph::ascent

Metric of the glyph (ascent).

int MDrawGlyph::descent

Metric of the glyph (descent).

MFont* MDrawGlyph::font

Font used for the glyph. Set to NULL if no font is found for the glyph.

MSymbol MDrawGlyph::font_type

Type of the font. One of Mx, Mfreetype, Mxft.

void* MDrawGlyph::fontp

Pointer to the font structure. The actual type is (XFontStruct *) if <font_type> member is Mx, FT_Face if <font_type> member is Mfreetype, and (XftFont *) if <font_type> member is Mxft.